summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorWouter de Vries2015-11-24 10:17:52 +0100
committerWouter de Vries2015-11-24 10:17:52 +0100
commitf8faa2024de466ed19b3ee008cfccbea94b94bf2 (patch)
treee7013822c77d264e8889e069dc871a226d111da1
downloadaur-f8faa2024de466ed19b3ee008cfccbea94b94bf2.tar.gz
Initial commit
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD20
2 files changed, 44 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..3518e785bfa
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = ripe-atlas-tools
+ pkgdesc = The official command-line client for RIPE Atlas
+ pkgver = 1.1.0
+ pkgrel = 1
+ url = https://pypi.python.org/pypi/ripe.atlas.tools
+ arch = any
+ license = GPL3
+ makedepends = python-setuptools
+ depends = python>=3.4
+ depends = python-dateutil>=2.4.2
+ depends = python-requests>=2.7.0
+ depends = python-ripe-atlas-cousteau>=1.0.4
+ depends = python-ripe-atlas-sagan>=1.1.4
+ depends = python-tzlocal
+ depends = python-yaml
+ depends = python-pyopenssl>=0.13
+ optdepends = python-ujson: faster json decoding
+ optdepends = python-sphinx: documentation generator
+ provides = ripe-atlas-tools
+ source = https://pypi.python.org/packages/source/r/ripe.atlas.tools/ripe.atlas.tools-1.1.0.tar.gz
+ md5sums = d24d205252bebbe0d4707f3179d7c756
+
+pkgname = ripe-atlas-tools
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..594e1689485
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,20 @@
+# Maintainer: Wouter de Vries <wouter@wouter-web.nl>
+_name=ripe.atlas.tools
+pkgname=ripe-atlas-tools
+pkgver=1.1.0
+pkgrel=1
+pkgdesc="The official command-line client for RIPE Atlas"
+arch=('any')
+url="https://pypi.python.org/pypi/$_name"
+license=('GPL3')
+optdepends=('python-ujson: faster json decoding' 'python-sphinx: documentation generator')
+depends=('python>=3.4' 'python-dateutil>=2.4.2' 'python-requests>=2.7.0' 'python-ripe-atlas-cousteau>=1.0.4' 'python-ripe-atlas-sagan>=1.1.4' 'python-tzlocal' 'python-yaml' 'python-pyopenssl>=0.13')
+makedepends=('python-setuptools')
+provides=('ripe-atlas-tools')
+source=("https://pypi.python.org/packages/source/r/$_name/$_name-$pkgver.tar.gz")
+md5sums=('d24d205252bebbe0d4707f3179d7c756')
+
+package() {
+ cd "$srcdir/$_name-$pkgver"
+ python setup.py install --root="$pkgdir" --optimize=1 || return 1
+}